/*
    MixerHelpCmd.h

    Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef MIXERHELPCMD_H
#define MIXERELPCMD_H

#include "NoUndoCmd.h"


class TextEdit;


class MixerHelpCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();
		
	public:
		MixerHelpCmd ( const char *, int active = TRUE );
		virtual ~MixerHelpCmd();
		virtual const char *const className() { return ( "MixerHelpCmd" ); }

	private:
		TextEdit *_edit;
		Boolean _editRealised;
		static void okCallback ( XtPointer, char * );
		static void cancelCallback ( XtPointer );
		void ok ( void * );
};

#endif
